# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
inherit autotools subversion
ESVN_REPO_URI="https://forgesvn1.novell.com/svn/flaim/trunk/ftk/@${PV/1.2_pre/}"

DESCRIPTION="FLAIM is an acronym that stands for FLexible Adaptable Information Management."
HOMEPAGE="http://forge.novell.com/modules/xfmod/project/?flaim"

LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"
SLOT="1"
IUSE="ssl doc"

DEPEND="sys-libs/ncurses
	ssl? ( dev-libs/openssl )
	doc? ( app-doc/doxygen )"
RDEPEND="${DEPEND}"

src_prepare() {
	eautoreconf -i
}

src_configure() {
	econf $(use_enable ssl openssl) || die "configure failed"
}

src_install() {
	einstall || die "einstall failed"
	rm -r "${D}"/usr/share/doc/ftk || die "rm olddoc failed"
	dodoc AUTHORS NEWS ChangeLog README || die "dodoc failed"
	use doc && dohtml -r docs/html/* || die "dohtml failed"
}
